---
# Ingress
apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: ingress-${CI_PROJECT_NAME}-${CI_COMMIT_REF_SLUG}
spec:
  rules:
    - host: ${CI_PROJECT_NAME}.${CI_COMMIT_REF_SLUG}.${KUBE_INGRESS_BASE_DOMAIN}
      http:
        paths:
          - backend:
              serviceName: service-${CI_PROJECT_NAME}-${CI_COMMIT_REF_SLUG}
              servicePort: ${EXPOSED_PORT}
    - host: prod.${CI_PROJECT_NAME}.${KUBE_INGRESS_BASE_DOMAIN}
      http:
        paths:
          - backend:
              serviceName: service-${CI_PROJECT_NAME}-${CI_COMMIT_REF_SLUG}
              servicePort: ${EXPOSED_PORT}
